/*******************************************************************************
 *
 *  classAccelerometer.pde 
 *                   - Acceleromter class.  This class calculates Angular
 *                     displacement using the raw ADC values from the MSP430
 *                     FRAM experimter's acceleromter ADXL335.
 *
 * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * 
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 * Neither the name of the project's author nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
 
PImage msp;

class classAccelerometer { 
  int MyX, MyY;  
  int X = 0;
  int Y = 0;
  int Z = 0;
  int ActiveSwipeOffset = 0;
  int ActiveSwipeTimeMs = 0;
  
  void setup(){        
    msp = loadImage("framAndEM.png");   
  }
  
  void draw(int mx, int my) {
    MyX = mx;
    MyY = my; 
    float xPos;
    float yPos;
    float zPos;
 
    yPos = (((float)X-515.0)/105.0)*(0.5*PI);
    xPos = (((float)Y-515.0)/105.0)*(0.5*PI) - (0.5*PI);
    zPos = (((float)Z-515.0)/105.0)*(0.5*PI);
    
    zPos = 0;
    
    pushMatrix();  
    imageMode(CENTER); 
    translate(MyX, MyY);
    rotateX(xPos);
    rotateY(yPos);
    rotateZ(zPos);
    image(msp, 0,-msp.height/2);
    
    imageMode(CORNER);
    popMatrix();
    
    //text(xPos,0,50);
    //text(yPos,0,100);
    //text(Z,0,150);
  }
} 
