/*******************************************************************************
 *
 * adc.hDataLogger_prj.
 * 
 * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * 
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 * Neither the name of the project's author nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

// Pin Definitions
// Accel
#define ACC_PWR_PIN       BIT7
#define ACC_PWR_PORT_DIR  P2DIR
#define ACC_PWR_PORT_OUT  P2OUT
#define ACC_PORT_DIR      P3DIR
#define ACC_PORT_OUT      P3OUT
#define ACC_PORT_SEL0     P3SEL0
#define ACC_PORT_SEL1     P3SEL1
#define ACC_X_PIN         BIT0
#define ACC_Y_PIN         BIT1
#define ACC_Z_PIN         BIT2

// Thermistor
#define THERM_PORT_DIR      P1DIR
#define THERM_PORT_OUT      P1OUT
#define THERM_PORT_SEL0     P1SEL0
#define THERM_PORT_SEL1     P1SEL1
#define THERM_IN_PIN        BIT4

// Accelerometer Input Channel Definitions
#define ACC_X_CHANNEL     ADC10INCH_12
#define ACC_Y_CHANNEL     ADC10INCH_13
#define ACC_Z_CHANNEL     ADC10INCH_14

// Accelerometer Input Channel Definitions
#define THERM_IN_CHANNEL  ADC10INCH_4

#define ACC_X_IDX         ADC10INCH_14 - ACC_X_CHANNEL
#define ACC_Y_IDX         ADC10INCH_14 - ACC_Y_CHANNEL
#define ACC_Z_IDX         ADC10INCH_14 - ACC_Z_CHANNEL
#define THERM_IN_IDX      ADC10INCH_14 - THERM_IN_CHANNEL

#define SIZE_OF_SEQUENCE  ADC10INCH_14 + 1

//*****************************************************************************
//
//!
//!  This structure is used to define an ADC single sequence capture object.  
//!  The Values are stored in raw ADC values.  
//
//*****************************************************************************
typedef struct ADC_MEASUREMENT_TYPE{
  unsigned short Temperature;
  unsigned short AccelX;
  unsigned short AccelY;
  unsigned short AccelZ;
}AdcMeasurement_t;

// Function Declaration
void AdcInit (void);
void TakeAdcMeas(void);
void AdcUpdate(void);
